%define name 		blas
%define version 	1.1
%define release 	%mkrel 4
%define major 		%{version}
%define libname 	%mklibname %{name}

%define f77	gfortran
%define runtime	gfortran

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Basic Linear Algebra Subprograms library
License: 	BSD-like
Group:		Sciences/Mathematics
URL: 		http://www.netlib.org/blas/
Source0: 	http://www.netlib.org/blas/%{name}.tar.bz2
Source1: 	%{name}.makefile.bz2
Source2:	http://www.netlib.org/blas/blasqr.ps.bz2
Source3:	http://www.netlib.org/blas/blas3-paper.ps.bz2
Source4:	http://www.netlib.org/blas/blas2-paper.ps.bz2
BuildRequires:	gcc-gfortran
BuildRoot: 	%{_tmppath}/%{name}-%{version}
Obsoletes:	%name < %version

%description
The BLAS (Basic Linear Algebra Subprograms) are routines that provide standard
building blocks for performing basic vector and matrix operations. The Level 1
BLAS perform scalar, vector and vector-vector operations, the Level 2 BLAS
perform matrix-vector operations, and the Level 3 BLAS perform matrix-matrix
operations. Because the BLAS are efficient, portable, and widely available,
they are commonly used in the development of high quality linear algebra
software, LAPACK for example.

%description -l de
Basic Linear Algebra Subprograms (BLAS) bezeichnet eine Softwarebibliothek, 
die elementare Operationen der linearen Algebra wie Vektor- und Matrixmultiplikationen 
implementiert. Es gibt eine Vielzahl von Implementierungen in verschiedenen Sprachen 
bzw. für verschiedene Architekturen und Plattformen. Der Vorteil von BLAS liegt nicht 
nur in der Wiederverwendbarkeit und der Arbeitserleichterung für den Programmierer, 
sondern auch in der Möglichkeit für Hardwarehersteller für diese häufig gebrauchten 
Subroutinen hochoptimierte, zum Teil in Assembler realisierte Implementierungen 
bereitzustellen. Daher findet BLAS vor allem im Supercomputing-Bereich breite Verwendung.
Weitere Informationen siehe <http://de.wikipedia.org/wiki/Basic_Linear_Algebra_Subprograms>

%package -n %{libname}
Summary: 	Basic Linear Algebra Subprograms library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the dynamic libraries necessary to run applications.

%description -n %{libname} -l de
Enthält die benötigte dynamischen Bibliotheken zum ausführen von Anwendungen. 

%package -n %{libname}-devel
Summary: 	Basic Linear Algebra Subprograms library
Group:		Development/Libraries
Requires: 	%{libname} = %{version}
Provides: 	%{name}-devel = %{version}-%{release}
Provides: 	lib%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
This package contains the headers and development libraries
necessary to develop or compile applications.

%description -n	%{libname}-devel -l de
Entwickler Paket zum erstellen von Anwendung mit blas.
Bibliotheken und Header Dateien.

%prep
%setup -q -c
bzcat %{SOURCE1} > Makefile
bzcat %{SOURCE2} > blasqr.ps
bzcat %{SOURCE3} > blas3-paper.ps
bzcat %{SOURCE4} > blas2-paper.ps

%build
%make F77="%{f77}" \
      RUNTIME="%{runtime}" \
      CFLAGS="%optflags" \
      FFLAGS="%optflags -ffloat-store"

%install
rm -fr %{buildroot}
install -d -m 755 %{buildroot}%{_libdir}
install -m 755 *.so.* %{buildroot}%{_libdir}
install -m 644 *.a %{buildroot}%{_libdir}
(cd %{buildroot}%{_libdir} && ln -s lib%{name}.so.%{major} lib%{name}.so)

%clean
rm -fr %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{major}

%files -n %{libname}-devel
%defattr(-,root,root)
%doc blasqr.ps blas3-paper.ps blas2-paper.ps
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.a

%changelog
* Sun Sep 03 2017 bb2 <bb2> - 1.1-4pclos2017
- rebuild new gcc
